Bug 491515

Summary: Guest crashes on reboot in KVM 65 on AMD
Product: [Fedora] Fedora Reporter: Mikolaj Kucharski <mikolaj>
Component: kvmAssignee: Glauber Costa <gcosta>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 9CC: berrange, clalance, ehabkost, gcosta, markmc, mikolaj, quintela, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-14 11:21:34 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Mikolaj Kucharski 2009-03-22 10:08:15 EDT
Host OS: Fedora 9 (2.6.27.15-78.2.23.fc9.i686.PAE)
Guest OS: Unattended 4.7 (Linux 2.6.23.11 i686)
KVM: kvm-65-15.fc9.i386


Guest dies on reboot with message from qemu-kvm:

kvm_run: failed entry, reason 65535
kvm_run returned -8


References
 1. http://www.mail-archive.com/kvm-devel@lists.sourceforge.net/msg15533.html
Comment 1 Mark McLoughlin 2009-03-25 08:58:38 EDT
Thanks for the report.

It sounds like this may have long since been fixed. Can you try Fedora 10 or 11?
Comment 2 Mikolaj Kucharski 2009-03-25 09:26:49 EDT
Sorry, I would like to stick with Fedora 9. I don't have spare AMD64 box to test newer version of Fedora 10 or 11.
Comment 3 Mark McLoughlin 2009-03-25 11:15:41 EDT
Could try using the F10 kvm RPM on F9? Just to test whether issue has been resolved in newer versions

There are no plans to re-base to a newer version of KVM in F9
Comment 4 Mikolaj Kucharski 2009-04-02 19:27:57 EDT
I've installed some packages from F10. Now my kvm fails with following error:

Too many option ROMS

which looks like bug#473137
 
qemu-img-0.9.1-10.fc10                        Fri 27 Mar 2009 02:16:19 AM GMT
qemu-0.9.1-10.fc10                            Fri 27 Mar 2009 02:16:19 AM GMT
kvm-74-10.fc10                                Fri 27 Mar 2009 02:16:19 AM GMT
gnutls-2.4.2-3.fc10                           Fri 27 Mar 2009 02:16:18 AM GMT
etherboot-roms-kvm-5.4.4-4.fc10               Fri 27 Mar 2009 02:16:18 AM GMT
Comment 5 Mikolaj Kucharski 2009-04-02 19:37:01 EDT
Update to etherboot-roms-kvm-5.4.4-5.fc10.i386 helped to resolve error from my last comment. I need some time to do my tests.
Comment 6 Mark McLoughlin 2009-04-03 07:53:44 EDT
Thanks Mikolaj, let us know how it goes
Comment 7 Mikolaj Kucharski 2009-04-14 19:49:07 EDT
kvm-74-10.fc10 fixed the reboot problem with Unattended and Windows, but broke OpenBSD support.

During bootup, when OpenBSD tries to start init hard drive timeouts:

wd0(pciide0:0:0): timeout
        type: ata
        c_bcount: 512
        c_skip: 0
wd0(pciide0:0:0): timeout
        type: ata
        c_bcount: 512
        c_skip: 0

wd0 is IDE drive, when I use SCSI in KVM OpenBSD boot loader doesn't see the drive at all, so the kernel is not even able too boot.

I'm using few OpenBSD servers as a guest on that machine, with older kvm versions they where working without an issue.

Any ideas?
Comment 8 Mikolaj Kucharski 2009-05-02 14:37:14 EDT
Hi,

(In reply to comment #3)
> Could try using the F10 kvm RPM on F9? Just to test whether issue has been
> resolved in newer versions
> 
> There are no plans to re-base to a newer version of KVM in F9  

If there are no plans to re-base KVM in F9, is there any chance to get that bug fixed?
Comment 9 Mark McLoughlin 2009-05-04 12:31:27 EDT
(In reply to comment #8)

> If there are no plans to re-base KVM in F9, is there any chance to get that bug
> fixed?  

Yes, if you can identify and backport to F9 the patch which fixes this, we'd be happy to apply it
Comment 10 Bug Zapper 2009-06-09 23:38:20 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-07-14 11:21:34 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.